Bug 47565 - [Function] FileToString
[Function] FileToString
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
unspecified
PC Windows XP
: P3 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2009-07-23 08:45 UTC by Andre Arnold
Modified: 2009-11-23 13:48 UTC (History)
1 user (show)



Attachments
the function's java file (8.16 KB, application/octet-stream)
2009-07-23 08:45 UTC, Andre Arnold
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andre Arnold 2009-07-23 08:45:58 UTC
Created attachment 24029 [details]
the function's java file

I have written a simple function that does us the favor of reading a file at once. (We needed the content of a file in a variable.) It is a simple redesign of the StringFromFile function that reads just one line at a run.

It would be nice to see it the function in the offical version. I'm not sure about all the details of the functions behavior ... maybe one could make it a bit more efficent / safer. (Critics welcome )

regards
Andre
Comment 1 Sebb 2009-08-14 03:06:57 UTC
Thanks for the patch.

I've applied a simplified version in the following SVN update:


URL: http://svn.apache.org/viewvc?rev=804152&view=rev
Log:
Bug 47565 - [Function] FileToString
Comment 2 Soumen Sarkar 2009-11-23 13:47:28 UTC
Please also take a look at bug 45174

TCPSampler support for sending files
https://issues.apache.org/bugzilla/show_bug.cgi?id=45174